Package net.sf.saxon.type

## Class StringConverter.StringToNCName

- java.lang.Object
- - net.sf.saxon.type.Converter
  - - net.sf.saxon.type.StringConverter
    - - net.sf.saxon.type.StringConverter.StringToNCName

- Direct Known Subclasses:
    `StringConverter.StringToName`
  Enclosing class:
    StringConverter

      public static class StringConverter.StringToNCName
      extends StringConverter

  Converts from xs:string to xs:NCName, xs:ID, xs:IDREF, or xs:ENTITY

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.type.StringConverter

      `StringConverter.StringToAnyURI, StringConverter.StringToBase64Binary, StringConverter.StringToBoolean, StringConverter.StringToDate, StringConverter.StringToDateTime, StringConverter.StringToDateTimeStamp, StringConverter.StringToDayTimeDuration, StringConverter.StringToDecimal, StringConverter.StringToDerivedStringSubtype, StringConverter.StringToDuration, StringConverter.StringToFloat, StringConverter.StringToGDay, StringConverter.StringToGMonth, StringConverter.StringToGMonthDay, StringConverter.StringToGYear, StringConverter.StringToGYearMonth, StringConverter.StringToHexBinary, StringConverter.StringToInteger, StringConverter.StringToIntegerSubtype, StringConverter.StringToLanguage, StringConverter.StringToName, StringConverter.StringToNCName, StringConverter.StringToNMTOKEN, StringConverter.StringToNonStringDerivedType, StringConverter.StringToNormalizedString, StringConverter.StringToNotation, StringConverter.StringToQName, StringConverter.StringToString, StringConverter.StringToStringSubtype, StringConverter.StringToTime, StringConverter.StringToToken, StringConverter.StringToUnionConverter, StringConverter.StringToUntypedAtomic, StringConverter.StringToYearMonthDuration`

    - ### Nested classes/interfaces inherited from class net.sf.saxon.type.Converter

      `Converter.Base64BinaryToHexBinary, Converter.BooleanToDecimal, Converter.BooleanToDouble, Converter.BooleanToFloat, Converter.BooleanToInteger, Converter.DateTimeToDate, Converter.DateTimeToGDay, Converter.DateTimeToGMonth, Converter.DateTimeToGMonthDay, Converter.DateTimeToGYear, Converter.DateTimeToGYearMonth, Converter.DateTimeToTime, Converter.DateToDateTime, Converter.DecimalToInteger, Converter.DoubleToDecimal, Converter.DoubleToInteger, Converter.DownCastingConverter, Converter.DurationToDayTimeDuration, Converter.DurationToYearMonthDuration, Converter.FloatToDecimal, Converter.FloatToInteger, Converter.HexBinaryToBase64Binary, Converter.IdentityConverter, Converter.IntegerToDecimal, Converter.NotationToQName, Converter.NumericToBoolean, Converter.NumericToDecimal, Converter.NumericToDouble, Converter.NumericToFloat, Converter.NumericToInteger, Converter.PromoterToDouble, Converter.PromoterToFloat, Converter.QNameToNotation, Converter.ToStringConverter, Converter.ToUntypedAtomicConverter, Converter.TwoPhaseConverter, Converter.UnfailingConverter, Converter.UpCastingConverter`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static StringConverter.StringToNCName` | `TO_ENTITY` |
    `static StringConverter.StringToNCName` | `TO_ID` |
    `static StringConverter.StringToNCName` | `TO_IDREF` |
    `static StringConverter.StringToNCName` | `TO_NCNAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringToNCName​(AtomicType targetType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConversionResult` | `convertString​(java.lang.CharSequence input)` | Convert a string to the target type of this converter.
    `ValidationFailure` | `validate​(java.lang.CharSequence input)` | Validate a string for conformance to the target type, without actually performing the conversion

    - ### Methods inherited from class net.sf.saxon.type.StringConverter

      `convert`

    - ### Methods inherited from class net.sf.saxon.type.Converter

      `convert, getConversionRules, getNamespaceResolver, isAlwaysSuccessful, setConversionRules, setNamespaceResolver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TO_ID

          public static final StringConverter.StringToNCName TO_ID

    - #### TO_ENTITY

          public static final StringConverter.StringToNCName TO_ENTITY

    - #### TO_NCNAME

          public static final StringConverter.StringToNCName TO_NCNAME

    - #### TO_IDREF

          public static final StringConverter.StringToNCName TO_IDREF

  - ### Constructor Detail

    - #### StringToNCName

          public StringToNCName​(AtomicType targetType)

  - ### Method Detail

    - #### convertString

          public ConversionResult convertString​(java.lang.CharSequence input)

      Description copied from class: `StringConverter`
      Convert a string to the target type of this converter.
      Specified by:
        `convertString` in class `StringConverter`
      Parameters:
        `input` - the string to be converted
      Returns:
        either an `AtomicValue` of the appropriate type for this converter (if conversion succeeded), or a `ValidationFailure` if conversion failed.

    - #### validate

          public ValidationFailure validate​(java.lang.CharSequence input)

      Description copied from class: `StringConverter`
      Validate a string for conformance to the target type, without actually performing the conversion
      Overrides:
        `validate` in class `StringConverter`
      Parameters:
        `input` - the string to be validated
      Returns:
        null if validation is successful, or a ValidationFailure indicating the reasons for failure if unsuccessful